;;; Gash --- Guile As SHell
;;; Copyright © 2018 Jan (janneke) Nieuwenhuizen <janneke@gnu.org>
;;;
;;; This file is part of Gash.
;;;
;;; Gash is free software; you can redistribute it and/or modify it
;;; under the terms of the GNU General Public License as published by
;;; the Free Software Foundation; either version 3 of the License, or (at
;;; your option) any later version.
;;;
;;; Gash is distributed in the hope that it will be useful, but WITHOUT ANY
;;; WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
;;; FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
;;; details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with Gash.  If not, see <http://www.gnu.org/licenses/>.

(define-module (gash config)
  #:export (%bzip2
            %commands
            %xz
            %compress
            %gzip
            %version))

;;; Commentary:
;;;
;;; Compile-time configuration of gash.  When adding a substitution variable
;;; here, make sure to have configure substitute it.
;;;
;;; Code:

(define %version
  "0.1-0.5128e9d")

(define %bzip2
  "/gnu/store/svvk93sy9565rldll2i17b03f05064p3-bzip2-1.0.6/bin/bzip2")

(define %compress
  (let ((compress "/gnu/store/r7bma04msnxr0gdl3ql9ldzkysw85f8r-guile-gash-0.1-0.5128e9d/bin/compress")
        (reloc (string-append (dirname (car (command-line))) "/compress")))
    (cond ((getenv "COMPRESS"))
          ((file-exists? compress) compress)
          ((file-exists? reloc) reloc))))

(define %commands
  (let* ((guile-site-ccache-dir "/gnu/store/r7bma04msnxr0gdl3ql9ldzkysw85f8r-guile-gash-0.1-0.5128e9d/lib/guile/2.2/site-ccache")
         (commands-dir (string-append guile-site-ccache-dir "/gash/commands")))
    (cond ((getenv "COMMANDS"))
          (else commands-dir))))

(define %gzip
  "/gnu/store/lglgkbn3dgs9g6di7hwvblkp8vwyp8pz-gzip-1.9/bin/gzip")

(define %xz
  "/gnu/store/9bdkhsl3lk44sklpbnp7hr3p0gqj77h7-xz-5.2.4/bin/xz")
